
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

Name:			ladspa-lemux
Summary:		lemux - LADSPA instrument plugins based on openMSX devices
Version:		0.2
Release:		lp150.1.5
License: GPL-2.0
Group:			Productivity/Multimedia/Sound/Utilities
Source:			lemux-%{version}.tar.bz2
Patch:			ladspa-lemux-base-LADSPAPluginDescriptor.cc.diff
Patch1:			ladspa-lemux.narrowing-conversion.patch
Patch2:			ladspa-lemux.sort.patch
URL:			http://lumatec.be/joost
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	gcc-c++
BuildRequires:	ladspa-devel

%description
lemux - LADSPA instrument plugins based on openMSX devices.

Author: Joost Yervante Damad <joost@lumatec.be>



%prep
%setup -q -n lemux-%{version}
%patch
%patch1 -p1
%patch2 -p1

%build
pushd dev/SID/resid
	autoreconf --install --force
popd
%__make \
	INCLUDES="-fPIC -DPIC -Ibase -I. -Idev/SID/resid"

%install
%__install -dm 755 %{buildroot}%{_libdir}/ladspa
%__install -m 644 -c gen/lemux.so \
	%{buildroot}%{_libdir}/ladspa

%files
%defattr(-,root,root)
%doc FAQ GPL README AUTHORS ChangeLog COPYING
%doc gen/scc_presets.txt
%doc contrib/*.ams
%{_libdir}/ladspa

%changelog
* Sun Sep 16 2007 Toni Graffy <toni@links2linux.de> - 0.2-0.pm.1
- splitt-off from ladspa package
